package org.lym.pom.dto.posts;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serializable;

@Data
public class FollowDTO implements Serializable {

    /**
     * id
     */
    private String id;
    /**
     * fans 用户X
     */
    @NotBlank(message = "userId cannot be blank.")
    private String userId;
    /**
     * 用户X关注的人
     */
    @NotBlank(message = "followUserId cannot be blank.")
    private String followUserId;
    /**
     * 关注时间
     */
    private Long createTime;
}