package org.lym.pom.notify.event;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.lym.pom.repository.mongo.Attitude;

/**
 * 新增点赞/踩交互事件
 *
 * @author lym
 */
@Data
@AllArgsConstructor
public class AttitudeAddEvent {

    /**
     * 新增交互
     */
    private Attitude attitude;

    /**
     * 目标对象
     */
    private Object target;
}
