package org.lym.pom.notify.event;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.lym.pom.repository.mongo.Comment;

/**
 * 新增评论事件
 *  （【撤回】）通知发帖人有删除评论 relatedId relatedUserId commentId commentType
 *  （【撤回】）通知被评论消息作者有新的评论 rootCommentId(commentId) parentUserId
 *  relatedId 更新帖子评论数（缓存）
 *
 * @author lym
 */
@Data
@AllArgsConstructor
public class CommentRemoveEvent {

    private Comment comment;

}
