package org.lym.pom.notify.event;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.lym.pom.repository.mongo.Post;

/**
 * 动态删除事件
 * 回撤？
 *     存储到个人动态时间轴表
 *     存储到所有好友的时间轴表
 * 回撤通知？
 *  2. 通知粉丝：up主有更新
 *     通知好友
 *     触发推送
 *
 * @author lym
 */
@Data
@AllArgsConstructor
public class PostRemoveEvent {

    //特殊产品-瞬时内容：
    //故事或瞬时分享：在一些平台，用户可以选择将内容发布到故事或瞬间分享，这些内容通常在24小时后自动消失，但在此期间会更加醒目地展示给好友和粉丝。减轻用户的分享负担

    //内容传播：
    //好友动态：用户发布的内容会出现在其好友或关注者的动态流或新闻源中，以便好友可以看到并进行互动，如点赞、评论和分享。
    //推荐系统：根据用户的兴趣和行为，算法可能会将内容推荐给其他可能感兴趣的用户。

    //通知推送-好友通知：用户的好友或关注者可能会收到通知，告知有新内容可以查看。这可以是实时通知或通过摘要更新的形式。

    // 通知推送-好友通知：用户的好友或关注者可能会收到通知，告知有新内容可以查看。这可以是实时通知或通过摘要更新的形式。
    // 互动追踪-数据统计：发布的内容会被平台追踪，收集互动数据（如查看次数、点赞数量、分享次数等），以供发布者查看，同时也可以帮助平台优化推荐算法。

    //用户引导：
    //互动引导：鼓励用户与刚发布的内容进行互动，例如提示用户邀请朋友来评论或分享。或者用平台某些付费功能（购买推荐量等）

    //内容分析：后台系统会分析用户发布的内容，以确保遵守社区规则，并避免散播错误信息、仇恨言论等。

    //广告潜力：如果用户拥有大量的跟随者或粉丝，平台可能会分析内容的商业价值，考虑是否用于广告或促销活动。推荐给厂商或者建议作者

    private Post post;

}
