package org.lym.pom.notify.event;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.lym.pom.repository.mongo.Attitude;

/**
 * 新增评论事件
 *  （【撤回】）通知发帖人有删除评论/赞 relatedId relatedUserId commentId commentType
 *  （【撤回】）通知被评论消息作者有新的评论 rootCommentId(commentId) parentUserId
 *  relatedId 更新帖子评论/赞/喜欢 数（缓存） && 缓存 用户 - 点赞/踩关系 creator - relatedId
 *
 * @author lym
 */
@Data
@AllArgsConstructor
public class AttitudeRemoveEvent {

    private Attitude attitude;

}
