package org.lym.pom.notify.event;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.lym.pom.repository.mongo.Follow;

/**
 * 新增关注事件
 *  通知被关注人：你被关注了
 *  触发被关注的自动逻辑：给粉丝发自动回复消息，促进互动
 *
 * @author lym
 */
@Data
@AllArgsConstructor
public class FollowAddEvent {

    private Follow comment;

}
